### Function

# Ide DiagnosticsManager from_context

#### Declaration

    IdeDiagnosticsManager*
    ide_diagnostics_manager_from_context (
      IdeContext* context
    )

#### Description

Gets the diagnostics manager for the context.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDiagnosticsManager`
| An `IdeDiagnosticsManager`.
| The data is owned by the called function.